import { Theme } from "@material-ui/core/styles";
import { Components } from "@material-ui/core/styles/components";
declare type Output = Required<Pick<Components, "MuiFormControl" | "MuiInputLabel" | "MuiInput" | "MuiInputAdornment" | "MuiSelect" | "MuiFormHelperText">>;
export declare const createTextfieldBootstrapStyles: (theme: Theme) => Output;
export declare const useTextfieldBootstrapStyles: () => {
    FormControl: Record<never, string>;
    InputLabel: Record<never, string>;
    Input: Record<never, string>;
    InputAdornment: Record<never, string>;
    Select: Record<never, string>;
    FormHelperText: Record<never, string>;
};
export {};
